Canalplan Bug Tracker



Anonymous Login
2019-05-25 05:57 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000562Canalplan [All Projects] Bugpublic2019-03-20 20:30
ReporterLaurence 
Assigned Touser17280 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
Product Version9.28Product BuildWP Plugin 4.2 
Target VersionFixed in Version 
Summary0000562: Some favourites don't display correctly
DescriptionOn a Page with gazetteer links and Google Map TAGS

1) 1 favourite displays the wrong map (or no map)
2) The same favourite does not have a correct gazetteer link
The D&B visitor mooring goes to page not found.
Steps To ReproduceI cleared the DB and reload it and deleted all favourites and started again:

I made two favourites Fazeley Mill Marina and Dog and doublet visitors mooring

Made a page and inserted the CP tags

without the Fazeley mill map before the D&D the D&D map does not display at all (leaves a blank space on the page)

I suspect the link code to the D&D is not being included in the TAG as I can see that fi5a is the link for Fazeley Mill Marina

Additional InformationSee attached screen shots (MS word page)

I have not checked how widespread this is - I could test with more locations if you want me to check average frequency of problem.
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0002196

Stephen Atty (administrator)

CP tags have three parts to them.

[[CP -sometimes with extra letters which define the functionalily
|Name - the name of the place that is displayed in the link
|id]] - the Canalplan ID of the place

So [[CP:Fazeley Mill Marina|fi5a]] creates a inline link with the text Fazeley Mill Marina which links to https://canalplan.org.uk/place/fi5a

The problem is that your Dog & Doublet favourite is missing the ID part of the string.

~0002198

Laurence (reporter)

That is as I guessed
- so I suppose the question is why not - as the data came from a match to the CP places data in the Database that had been downloaded to WP?

I could fix it if I do see it happening (as I know how to find the canal plan ID)
But I would not want to have to do it too often can I fix it in the Favourite table otherwise I need to fix it every time I include the favorite in a blog page.

 but how widespread is the lack of ids ? considering that the gazetteer and the rest of CP seems to know what the ID is for the D&D - even if the WP plugin does not?

~0002199

Stephen Atty (administrator)

What happens when you start to select a favourite is that you start typing a name, After there are 4 characters it sends a match query to your own blog which then returns a list of names . Then you select one and click on the button which goes to the server and pulls back the ID for the place and inserts the text into the second box where you can change the name as it's displayed when the link is rendered.

Then you shuffle them up and down and then save them.

So what looks like has happened here is that the name is there but the ID is missing.

As the ID is the primary key on the places table it has to be there.

It fails for me for Dog & Doublet so I suspect its something to do with escaping - so I'll look into it.

~0002200

Stephen Atty (administrator)

It's down to names with & signs in them...

Have got the fix, just got to test it all

~0002201

Stephen Atty (administrator)

Version 4.21 released which fixes this.

Problem affected all places with & in their names no matter where you tried to use them.

~0002246

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2019-02-18 13:42 Laurence New Issue
2019-02-18 13:42 Laurence File Added: Canal Plan bug CP TAGS.docx
2019-02-18 14:40 Stephen Atty Note Added: 0002196
2019-02-18 14:43 Stephen Atty Assigned To => user17280
2019-02-18 14:43 Stephen Atty Status new => assigned
2019-02-18 16:29 Laurence Note Added: 0002198
2019-02-18 18:27 Stephen Atty Note Added: 0002199
2019-02-18 19:28 Stephen Atty Note Added: 0002200
2019-02-18 19:41 Stephen Atty Status assigned => resolved
2019-02-18 19:41 Stephen Atty Resolution open => fixed
2019-02-18 19:41 Stephen Atty Note Added: 0002201
2019-03-20 20:30 Autoclose Note Added: 0002246
2019-03-20 20:30 Autoclose Status resolved => closed
+Issue History